Get a handoff
curl --request GET \
--url https://useorgx.com/api/v1/handoffs/{handoffId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://useorgx.com/api/v1/handoffs/{handoffId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/handoffs/{handoffId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"handoffKey": "launch-plan-review",
"fromStageKey": "launch-plan-review",
"toStageKey": "launch-plan-review",
"sourceProcessRef": "f54b9152-1f4b-4e01-82e7-a47fa0006734",
"sourceRevisionRef": "7fb481a5-15f3-4b6b-8795-221def1c9745",
"title": "Review the launch plan",
"summary": "Launch plan reviewed with supporting evidence.",
"priority": "low",
"slaMinutes": 1,
"dueAt": "2026-08-18T18:30:00.000Z",
"currentActor": {
"type": "human",
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101"
},
"proofRequirements": [
{
"kind": "evidence",
"required": true
}
],
"result": {},
"status": "proposed",
"createdAt": "2026-08-18T18:30:00.000Z",
"updatedAt": "2026-08-18T18:30:00.000Z"
},
"meta": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Handoffs
Get a handoff
Get one handoff and its current lifecycle state.
GET
/
handoffs
/
{handoffId}
Get a handoff
curl --request GET \
--url https://useorgx.com/api/v1/handoffs/{handoffId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://useorgx.com/api/v1/handoffs/{handoffId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://useorgx.com/api/v1/handoffs/{handoffId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"schemaVersion": "1.0.0",
"id": "a5614527-0ce6-43be-8d1d-d012b7394867",
"workspaceId": "09707fa5-aaae-4493-8a23-827111000f89",
"handoffKey": "launch-plan-review",
"fromStageKey": "launch-plan-review",
"toStageKey": "launch-plan-review",
"sourceProcessRef": "f54b9152-1f4b-4e01-82e7-a47fa0006734",
"sourceRevisionRef": "7fb481a5-15f3-4b6b-8795-221def1c9745",
"title": "Review the launch plan",
"summary": "Launch plan reviewed with supporting evidence.",
"priority": "low",
"slaMinutes": 1,
"dueAt": "2026-08-18T18:30:00.000Z",
"currentActor": {
"type": "human",
"id": "2d4b7f66-3a2a-4e9d-9ad1-3b2d1b2e4101"
},
"proofRequirements": [
{
"kind": "evidence",
"required": true
}
],
"result": {},
"status": "proposed",
"createdAt": "2026-08-18T18:30:00.000Z",
"updatedAt": "2026-08-18T18:30:00.000Z"
},
"meta": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"docsUrl": "<string>",
"retryAfter": 123
}
}Authorizations
bearerAuthcookieAuth
OrgX API key, sent as Authorization: Bearer oxk_...
